<html> 
 <head>
 	<!-- contains the details of HTML -->

 	<title>Activity 1</title>
 </head>
 		<em>Science and Engineering Ethics (2001)  7, 231-238</em>
 		<!-- Horizontal Rule -->
 		<hr>
 <head>
 		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

 		<h2>IEEE-CS/A CM Joint Task Force on Software Engineering Ethics and Professional Practices</h2>
 			<hr>
 		
 		<p>
 			<strong>Keywords:</strong>code of ethics, professional responsibility, software engineering</p>
 		<h3>PREAMBLE</h3>

 		<p> The short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspiratons can become high-sounding but empty; together, the aspirations and the details form a cohesive code.</p>

 		<p> Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintainance of software a beneficial and respsected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

 		<h3>PRINCIPLES</h3>

 			<ol>
 				<li><em>Public.</em> Software engineers shall act consistently with thepublic interest.
 				<li><em>Client and employer.</em>  Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.
 				<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional judgement possible.
 				<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.
 				<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintainance.
 				<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.
 				<li><em>Colleagues.</em> Software engineers shall be fair and suppportive of their colleagues
 				<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.